{ lib, config, ... }:
{
  home.sessionPath = [ "$HOME/bin" ];

  metacfg = {
    user = {
      enable = true;
      name = config.snowfallorg.user.name;
    };
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = false;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
    };
  };

  xdg.enable = true;
  xdg.mime.enable = true;
}
